#
# spec file for package ghc-ghcjs-codemirror
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name ghcjs-codemirror
Name:           ghc-%{pkg_name}
Version:        0.0.0.1
Release:        1.1
Summary:        Installs CodeMirror JavaScript files
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
CodeMirror is a versatile text editor implemented in JavaScript for the
browser. It is specialized for editing code, and comes with a number of
language modes and addons that implement more advanced editing functionaly.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/lib
%dir %{_datadir}/%{pkg_name}-%{version}/keymap
%dir %{_datadir}/%{pkg_name}-%{version}/mode
%dir %{_datadir}/%{pkg_name}-%{version}/mode/verilog
%dir %{_datadir}/%{pkg_name}-%{version}/mode/pascal
%dir %{_datadir}/%{pkg_name}-%{version}/mode/rst
%dir %{_datadir}/%{pkg_name}-%{version}/mode/vbscript
%dir %{_datadir}/%{pkg_name}-%{version}/mode/q
%dir %{_datadir}/%{pkg_name}-%{version}/mode/yaml
%dir %{_datadir}/%{pkg_name}-%{version}/mode/velocity
%dir %{_datadir}/%{pkg_name}-%{version}/mode/d
%dir %{_datadir}/%{pkg_name}-%{version}/mode/clojure
%dir %{_datadir}/%{pkg_name}-%{version}/mode/asterisk
%dir %{_datadir}/%{pkg_name}-%{version}/mode/xml
%dir %{_datadir}/%{pkg_name}-%{version}/mode/clike
%dir %{_datadir}/%{pkg_name}-%{version}/mode/tcl
%dir %{_datadir}/%{pkg_name}-%{version}/mode/tiki
%dir %{_datadir}/%{pkg_name}-%{version}/mode/less
%dir %{_datadir}/%{pkg_name}-%{version}/mode/sql
%dir %{_datadir}/%{pkg_name}-%{version}/mode/stex
%dir %{_datadir}/%{pkg_name}-%{version}/mode/coffeescript
%dir %{_datadir}/%{pkg_name}-%{version}/mode/python
%dir %{_datadir}/%{pkg_name}-%{version}/mode/diff
%dir %{_datadir}/%{pkg_name}-%{version}/mode/go
%dir %{_datadir}/%{pkg_name}-%{version}/mode/scheme
%dir %{_datadir}/%{pkg_name}-%{version}/mode/jinja2
%dir %{_datadir}/%{pkg_name}-%{version}/mode/smarty
%dir %{_datadir}/%{pkg_name}-%{version}/mode/sass
%dir %{_datadir}/%{pkg_name}-%{version}/mode/http
%dir %{_datadir}/%{pkg_name}-%{version}/mode/gfm
%dir %{_datadir}/%{pkg_name}-%{version}/mode/shell
%dir %{_datadir}/%{pkg_name}-%{version}/mode/haxe
%dir %{_datadir}/%{pkg_name}-%{version}/mode/turtle
%dir %{_datadir}/%{pkg_name}-%{version}/mode/rust
%dir %{_datadir}/%{pkg_name}-%{version}/mode/apl
%dir %{_datadir}/%{pkg_name}-%{version}/mode/markdown
%dir %{_datadir}/%{pkg_name}-%{version}/mode/ntriples
%dir %{_datadir}/%{pkg_name}-%{version}/mode/lua
%dir %{_datadir}/%{pkg_name}-%{version}/mode/haskell
%dir %{_datadir}/%{pkg_name}-%{version}/mode/tiddlywiki
%dir %{_datadir}/%{pkg_name}-%{version}/mode/xquery
%dir %{_datadir}/%{pkg_name}-%{version}/mode/ruby
%dir %{_datadir}/%{pkg_name}-%{version}/mode/css
%dir %{_datadir}/%{pkg_name}-%{version}/mode/htmlembedded
%dir %{_datadir}/%{pkg_name}-%{version}/mode/smalltalk
%dir %{_datadir}/%{pkg_name}-%{version}/mode/vb
%dir %{_datadir}/%{pkg_name}-%{version}/mode/sieve
%dir %{_datadir}/%{pkg_name}-%{version}/mode/z80
%dir %{_datadir}/%{pkg_name}-%{version}/mode/erlang
%dir %{_datadir}/%{pkg_name}-%{version}/mode/commonlisp
%dir %{_datadir}/%{pkg_name}-%{version}/mode/properties
%dir %{_datadir}/%{pkg_name}-%{version}/mode/perl
%dir %{_datadir}/%{pkg_name}-%{version}/mode/pig
%dir %{_datadir}/%{pkg_name}-%{version}/mode/ecl
%dir %{_datadir}/%{pkg_name}-%{version}/mode/r
%dir %{_datadir}/%{pkg_name}-%{version}/mode/rpm
%dir %{_datadir}/%{pkg_name}-%{version}/mode/rpm/changes
%dir %{_datadir}/%{pkg_name}-%{version}/mode/rpm/spec
%dir %{_datadir}/%{pkg_name}-%{version}/mode/javascript
%dir %{_datadir}/%{pkg_name}-%{version}/mode/mirc
%dir %{_datadir}/%{pkg_name}-%{version}/mode/php
%dir %{_datadir}/%{pkg_name}-%{version}/mode/ocaml
%dir %{_datadir}/%{pkg_name}-%{version}/mode/htmlmixed
%dir %{_datadir}/%{pkg_name}-%{version}/mode/sparql
%dir %{_datadir}/%{pkg_name}-%{version}/mode/groovy
%dir %{_datadir}/%{pkg_name}-%{version}/theme
%{_datadir}/%{pkg_name}-%{version}/lib/codemirror.js
%{_datadir}/%{pkg_name}-%{version}/lib/codemirror.css
%{_datadir}/%{pkg_name}-%{version}/keymap/vim.js
%{_datadir}/%{pkg_name}-%{version}/keymap/emacs.js
%{_datadir}/%{pkg_name}-%{version}/mode/verilog/verilog.js
%{_datadir}/%{pkg_name}-%{version}/mode/pascal/pascal.js
%{_datadir}/%{pkg_name}-%{version}/mode/rst/rst.js
%{_datadir}/%{pkg_name}-%{version}/mode/vbscript/vbscript.js
%{_datadir}/%{pkg_name}-%{version}/mode/q/q.js
%{_datadir}/%{pkg_name}-%{version}/mode/yaml/yaml.js
%{_datadir}/%{pkg_name}-%{version}/mode/velocity/velocity.js
%{_datadir}/%{pkg_name}-%{version}/mode/d/d.js
%{_datadir}/%{pkg_name}-%{version}/mode/clojure/clojure.js
%{_datadir}/%{pkg_name}-%{version}/mode/meta.js
%{_datadir}/%{pkg_name}-%{version}/mode/asterisk/asterisk.js
%{_datadir}/%{pkg_name}-%{version}/mode/xml/xml.js
%{_datadir}/%{pkg_name}-%{version}/mode/clike/clike.js
%{_datadir}/%{pkg_name}-%{version}/mode/tcl/tcl.js
%{_datadir}/%{pkg_name}-%{version}/mode/tiki/tiki.js
%{_datadir}/%{pkg_name}-%{version}/mode/less/less.js
%{_datadir}/%{pkg_name}-%{version}/mode/sql/sql.js
%{_datadir}/%{pkg_name}-%{version}/mode/stex/stex.js
%{_datadir}/%{pkg_name}-%{version}/mode/stex/test.js
%{_datadir}/%{pkg_name}-%{version}/mode/coffeescript/coffeescript.js
%{_datadir}/%{pkg_name}-%{version}/mode/python/python.js
%{_datadir}/%{pkg_name}-%{version}/mode/diff/diff.js
%{_datadir}/%{pkg_name}-%{version}/mode/go/go.js
%{_datadir}/%{pkg_name}-%{version}/mode/scheme/scheme.js
%{_datadir}/%{pkg_name}-%{version}/mode/jinja2/jinja2.js
%{_datadir}/%{pkg_name}-%{version}/mode/smarty/smarty.js
%{_datadir}/%{pkg_name}-%{version}/mode/sass/sass.js
%{_datadir}/%{pkg_name}-%{version}/mode/http/http.js
%{_datadir}/%{pkg_name}-%{version}/mode/gfm/gfm.js
%{_datadir}/%{pkg_name}-%{version}/mode/gfm/test.js
%{_datadir}/%{pkg_name}-%{version}/mode/shell/shell.js
%{_datadir}/%{pkg_name}-%{version}/mode/haxe/haxe.js
%{_datadir}/%{pkg_name}-%{version}/mode/turtle/turtle.js
%{_datadir}/%{pkg_name}-%{version}/mode/rust/rust.js
%{_datadir}/%{pkg_name}-%{version}/mode/apl/apl.js
%{_datadir}/%{pkg_name}-%{version}/mode/markdown/markdown.js
%{_datadir}/%{pkg_name}-%{version}/mode/markdown/test.js
%{_datadir}/%{pkg_name}-%{version}/mode/ntriples/ntriples.js
%{_datadir}/%{pkg_name}-%{version}/mode/lua/lua.js
%{_datadir}/%{pkg_name}-%{version}/mode/haskell/haskell.js
%{_datadir}/%{pkg_name}-%{version}/mode/tiddlywiki/tiddlywiki.js
%{_datadir}/%{pkg_name}-%{version}/mode/xquery/xquery.js
%{_datadir}/%{pkg_name}-%{version}/mode/xquery/test.js
%{_datadir}/%{pkg_name}-%{version}/mode/ruby/ruby.js
%{_datadir}/%{pkg_name}-%{version}/mode/css/css.js
%{_datadir}/%{pkg_name}-%{version}/mode/css/test.js
%{_datadir}/%{pkg_name}-%{version}/mode/htmlembedded/htmlembedded.js
%{_datadir}/%{pkg_name}-%{version}/mode/smalltalk/smalltalk.js
%{_datadir}/%{pkg_name}-%{version}/mode/vb/vb.js
%{_datadir}/%{pkg_name}-%{version}/mode/sieve/sieve.js
%{_datadir}/%{pkg_name}-%{version}/mode/z80/z80.js
%{_datadir}/%{pkg_name}-%{version}/mode/erlang/erlang.js
%{_datadir}/%{pkg_name}-%{version}/mode/commonlisp/commonlisp.js
%{_datadir}/%{pkg_name}-%{version}/mode/properties/properties.js
%{_datadir}/%{pkg_name}-%{version}/mode/perl/perl.js
%{_datadir}/%{pkg_name}-%{version}/mode/pig/pig.js
%{_datadir}/%{pkg_name}-%{version}/mode/ecl/ecl.js
%{_datadir}/%{pkg_name}-%{version}/mode/r/r.js
%{_datadir}/%{pkg_name}-%{version}/mode/rpm/changes/changes.js
%{_datadir}/%{pkg_name}-%{version}/mode/rpm/spec/spec.js
%{_datadir}/%{pkg_name}-%{version}/mode/javascript/javascript.js
%{_datadir}/%{pkg_name}-%{version}/mode/mirc/mirc.js
%{_datadir}/%{pkg_name}-%{version}/mode/php/php.js
%{_datadir}/%{pkg_name}-%{version}/mode/ocaml/ocaml.js
%{_datadir}/%{pkg_name}-%{version}/mode/htmlmixed/htmlmixed.js
%{_datadir}/%{pkg_name}-%{version}/mode/sparql/sparql.js
%{_datadir}/%{pkg_name}-%{version}/mode/groovy/groovy.js
%{_datadir}/%{pkg_name}-%{version}/mode/tiki/tiki.css
%{_datadir}/%{pkg_name}-%{version}/mode/tiddlywiki/tiddlywiki.css
%{_datadir}/%{pkg_name}-%{version}/mode/rpm/spec/spec.css
%{_datadir}/%{pkg_name}-%{version}/theme/monokai.css
%{_datadir}/%{pkg_name}-%{version}/theme/neat.css
%{_datadir}/%{pkg_name}-%{version}/theme/blackboard.css
%{_datadir}/%{pkg_name}-%{version}/theme/erlang-dark.css
%{_datadir}/%{pkg_name}-%{version}/theme/elegant.css
%{_datadir}/%{pkg_name}-%{version}/theme/xq-dark.css
%{_datadir}/%{pkg_name}-%{version}/theme/solarized.css
%{_datadir}/%{pkg_name}-%{version}/theme/night.css
%{_datadir}/%{pkg_name}-%{version}/theme/ambiance.css
%{_datadir}/%{pkg_name}-%{version}/theme/rubyblue.css
%{_datadir}/%{pkg_name}-%{version}/theme/vibrant-ink.css
%{_datadir}/%{pkg_name}-%{version}/theme/twilight.css
%{_datadir}/%{pkg_name}-%{version}/theme/eclipse.css
%{_datadir}/%{pkg_name}-%{version}/theme/ambiance-mobile.css
%{_datadir}/%{pkg_name}-%{version}/theme/lesser-dark.css
%{_datadir}/%{pkg_name}-%{version}/theme/cobalt.css

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.0.0.1 revision 0 with cabal2obs.
